Subject: Seed Swappers!!!

From: [email-masked] (The Polsons)
Date: Tue, 21 Mar 1995 20:02:05 -0800

Yes, I'm back!! Thanks to all who sent me last minute seed swaps for the
first issue of Growing Green, the organic newsletter I work for! I'll get
those out to your as soon as I get my batch from the printer...!

NOW, I'm looking for this issue's group of swappers! Just send me your
list of what you have, what you're looking for and your mailing address,
and I'll get you into the next issue! 

Look forward to swapping with you!

-Willow     ([email-masked])
---------------------------------------------------
I'm back!!!!! YIPEE!!!!